package logic

import (
	"context"

	"juwan-backend/app/wallet/rpc/internal/svc"
	"juwan-backend/app/wallet/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type DelWalletsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDelWalletsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DelWalletsLogic {
	return &DelWalletsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DelWalletsLogic) DelWallets(in *pb.DelWalletsReq) (*pb.DelWalletsResp, error) {
	// todo: add your logic here and delete this line

	return &pb.DelWalletsResp{}, nil
}
